#
# To build this package, you must have these packages
# sgml-tools, zh-sgmltools, chitex, lynx
# All of these packages are available as rpm packages in CLE.
# Refer to http://www.linux.org.tw/CLE/ for details.
#
Summary: Linux HOWTOs Chinese Translation
Name: howto-chinese
# howto_version = `date "+%Y%m"`
%define howto_version 199809
Version: 200103
# release = `date "+%d"`
%define release 21
Release: 25
Copyright: Linux Documentation Project License
Group: Documentation
Packager: "Chih-Wei Huang" <cwhuang@linux.org.tw>
Source0: C-Linux-HOWTOs-sgml.tar.gz
Source1: howto-index.tar.gz
Source2: make-howto
URL: http://www.linux.org.tw/CLDP/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildRequires: zh-sgmltools

Summary(zh_TW): Linux HOWTOs ½Ķ
Summary(zh_CN): Linux HOWTOs ķ

%description
This package contains all Chinese translation of Linux HOWTOs and mini-HOWTOs.
It is a result of Chinese Linux Documentation Project(CLDP). All of the 
documents are mainly made by many volunteer contributors. Please note that 
not all the documents have been translated, If you'd like to contribute,
refer to the URL: http://www.linux.org.tw/CLDP/

%description -l zh_TW
M]tҦĶ Linux HOWTOs  mini-HOWTOs. oO Linux p
GCҦ󳣬Oѳ\h@^m̴ѪCЪ`NëDҦ󳣤w½ĶC
pGAQѻPܡAаѦ CLDP : http://www.linux.org.tw/CLDP/

%description -l zh_CN
׼ Linux HOWTOs  mini-HOWTOs.  Linux ļƻ
ɹļԸĹṩġעⲢļѷɡ
Ļο CLDP ҳ: http://www.linux.org.tw/CLDP/

%package sgml
Summary: Linux HOWTOs Chinese Translation SGML format
Group: Documentation
Summary(zh_TW): Linux HOWTOs ½Ķ -- SGML 榡
Summary(zh_CN): Linux HOWTOs ķ -- SGML ʽ

%description sgml
This package contains all Chinese translation of Linux HOWTOs and mini-HOWTOs.
It is a result of Chinese Linux Documentation Project(CLDP). All of the
documents are mainly made by many volunteer contributors. Please note that
not all the documents have been translated, If you'd like to contribute,
refer to the URL: http://www.linux.org.tw/CLDP/

This package contains only SGML format.

%description sgml -l zh_TW
M]tҦĶ Linux HOWTOs  mini-HOWTOs. oO Linux p
GCҦ󳣬Oѳ\h@^m̴ѪCЪ`NëDҦ󳣤w½ĶC
pGAQѻPܡAаѦ CLDP : http://www.linux.org.tw/CLDP/ 

]˶ȧt SGML 榡C

%description sgml -l zh_CN
׼ Linux HOWTOs  mini-HOWTOs.  Linux ļƻ
ɹļԸĹṩġעⲢļѷɡ
Ļο CLDP ҳ: http://www.linux.org.tw/CLDP/ 

װ SGML ʽ

%package html
Summary: Linux HOWTOs Chinese Translation HTML format
Group: Documentation
Summary(zh_TW): Linux HOWTOs ½Ķ -- HTML 榡
Summary(zh_CN): Linux HOWTOs ķ -- HTML ʽ

%description html
This package contains all Chinese translation of Linux HOWTOs and mini-HOWTOs.
It is a result of Chinese Linux Documentation Project(CLDP). All of the
documents are mainly made by many volunteer contributors. Please note that
not all the documents have been translated, If you'd like to contribute,
refer to the URL: http://www.linux.org.tw/CLDP/

This package contains only HTML format. If you installed the apache package,
you may view the documents from http://localhost/CLDP/

%description html -l zh_TW
M]tҦĶ Linux HOWTOs  mini-HOWTOs. oO Linux p
GCҦ󳣬Oѳ\h@^m̴ѪCЪ`NëDҦ󳣤w½ĶC
pGAQѻPܡAаѦ CLDP : http://www.linux.org.tw/CLDP/

]˶ȧt HTML 榡CpGAwˤF apache AAAiHq[ݥ:
http://localhost/CLDP/

%description html -l zh_CN
׼ Linux HOWTOs  mini-HOWTOs.  Linux ļƻ
ɹļԸĹṩġעⲢļѷɡ
Ļο CLDP ҳ: http://www.linux.org.tw/CLDP/

װ HTML ʽ㰲װ apache ŷԴӴۿļ:
http://localhost/CLDP/

%package tex
Summary: Linux HOWTOs Chinese Translation LaTeX format
Group: Documentation
Summary(zh_TW): Linux HOWTOs ½Ķ -- LaTeX 榡
Summary(zh_CN): Linux HOWTOs ķ -- LaTeX ʽ

%description tex
This package contains all Chinese translation of Linux HOWTOs and mini-HOWTOs.
It is a result of Chinese Linux Documentation Project(CLDP). All of the
documents are mainly made by many volunteer contributors. Please note that
not all the documents have been translated, If you'd like to contribute,
refer to the URL: http://www.linux.org.tw/CLDP/

This package contains only LaTeX format.

%description tex -l zh_TW
M]tҦĶ Linux HOWTOs  mini-HOWTOs. oO Linux p
GCҦ󳣬Oѳ\h@^m̴ѪCЪ`NëDҦ󳣤w½ĶC
pGAQѻPܡAаѦ CLDP : http://www.linux.org.tw/CLDP/

Mȧt LaTeX 榡C

%description tex -l zh_CN
׼ Linux HOWTOs  mini-HOWTOs.  Linux ļƻ
ɹļԸĹṩġעⲢļѷɡ
Ļο CLDP ҳ: http://www.linux.org.tw/CLDP/

׼ LaTeX ʽ

%package dvi
Summary: Linux HOWTOs Chinese Translation DVI format
Group: Documentation
Summary(zh_TW): Linux HOWTOs ½Ķ -- DVI 榡
Summary(zh_CN): Linux HOWTOs ķ -- DVI ʽ

%description dvi
This package contains all Chinese translation of Linux HOWTOs and mini-HOWTOs.
It is a result of Chinese Linux Documentation Project(CLDP). All of the
documents are mainly made by many volunteer contributors. Please note that
not all the documents have been translated, If you'd like to contribute,
refer to the URL: http://www.linux.org.tw/CLDP/

This package contains only DVI format.

%description dvi -l zh_TW
M]tҦĶ Linux HOWTOs  mini-HOWTOs. oO Linux p
GCҦ󳣬Oѳ\h@^m̴ѪCЪ`NëDҦ󳣤w½ĶC
pGAQѻPܡAаѦ CLDP : http://www.linux.org.tw/CLDP/

Mȧt DVI 榡C

%description dvi -l zh_CN
׼ Linux HOWTOs  mini-HOWTOs.  Linux ļƻ
ɹļԸĹṩġעⲢļѷɡ
Ļο CLDP ҳ: http://www.linux.org.tw/CLDP/

׼ DVI ʽ

%package ps
Summary: Linux HOWTOs Chinese Translation SGML format
Group: Documentation
Summary(zh_TW): Linux HOWTOs ½Ķ -- PostScript 榡
Summary(zh_CN): Linux HOWTOs ķ -- PostScript ʽ

%description ps
This package contains all Chinese translation of Linux HOWTOs and mini-HOWTOs.
It is a result of Chinese Linux Documentation Project(CLDP). All of the
documents are mainly made by many volunteer contributors. Please note that
not all the documents have been translated, If you'd like to contribute,
refer to the URL: http://www.linux.org.tw/CLDP/

This package contains only PostScript format.

%description ps -l zh_TW
M]tҦĶ Linux HOWTOs  mini-HOWTOs. oO Linux p
GCҦ󳣬Oѳ\h@^m̴ѪCЪ`NëDҦ󳣤w½ĶC
pGAQѻPܡAаѦ CLDP : http://www.linux.org.tw/CLDP/

Mȧt PostScript 榡C 

%description ps -l zh_CN
׼ Linux HOWTOs  mini-HOWTOs.  Linux ļƻ
ɹļԸĹṩġעⲢļѷɡ
Ļο CLDP ҳ: http://www.linux.org.tw/CLDP/

׼ PostScript ʽ 

%prep
%setup -c -a 0
cp -p $RPM_SOURCE_DIR/make-howto .

%build
docdir=$RPM_BUILD_ROOT%{_docdir}/HOWTO/translations/zh
bash make-howto . $docdir 0
tar zxf $RPM_SOURCE_DIR/howto-index.tar.gz
date=`date +%Y\\\\/%m\\\\/%d`
echo "/script/d; /function/d; /<body/d; /timefmt/d;" > sedscript
echo "s/<\/head>/<\/head><body>/;" >> sedscript
echo "s/HOWTOs.html/index.html/;" >> sedscript
echo "s/<IMG alt=\[New\]/<sup>[New]<\/sup><!--/; s/new.gif>/-->/;"  >> sedscript
echo "s/<IMG alt=\[Updated\]/<sup>[Updated]<\/sup><!--/; s/updated.gif>/-->/;"  >> sedscript
echo "s/<!--\\#echo var=\"LAST_MODIFIED\"-->/$date/" >> sedscript
sed -f sedscript HOWTOs.html > $docdir/html/index.html
sed -f sedscript mini/index.html > $docdir/mini/html/index.html
sed -f sedscript summary.html > $docdir/html/summary.html
sed -f sedscript assigned.html > $docdir/html/assigned.html
sed -f sedscript unassigned.html > $docdir/html/unassigned.html

%install
cd $RPM_BUILD_ROOT%{_docdir}/HOWTO/translations
ln -sf zh chinese
cd zh/html
ln -sf ../mini/html mini
mkdir -p $RPM_BUILD_ROOT/var/www/html
cd $RPM_BUILD_ROOT/var/www/html
ln -sf %{_docdir}/HOWTO/translations/zh/html CLDP

%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir %{_docdir}/HOWTO/translations/zh
%dir %{_docdir}/HOWTO/translations/zh/mini
%{_docdir}/HOWTO/translations/zh/*.txt
%{_docdir}/HOWTO/translations/zh/mini/*.txt
%{_docdir}/HOWTO/translations/chinese

%files sgml
%dir %{_docdir}/HOWTO/translations/zh/sgml
%dir %{_docdir}/HOWTO/translations/zh/mini/sgml
%{_docdir}/HOWTO/translations/zh/sgml/*.sgml
%{_docdir}/HOWTO/translations/zh/mini/sgml/*.sgml

%files html
%dir %{_docdir}/HOWTO/translations/zh/html
%dir %{_docdir}/HOWTO/translations/zh/mini/html
%{_docdir}/HOWTO/translations/zh/html/*.html
%{_docdir}/HOWTO/translations/zh/mini/html/*.html
%{_docdir}/HOWTO/translations/zh/html/mini
/var/www/html/CLDP

%files tex
%dir %{_docdir}/HOWTO/translations/zh/tex
%dir %{_docdir}/HOWTO/translations/zh/mini/tex
%{_docdir}/HOWTO/translations/zh/tex/*.tex
%{_docdir}/HOWTO/translations/zh/mini/tex/*.tex

%files dvi
%dir %{_docdir}/HOWTO/translations/zh/dvi
%dir %{_docdir}/HOWTO/translations/zh/mini/dvi
%{_docdir}/HOWTO/translations/zh/dvi/*.dvi
%{_docdir}/HOWTO/translations/zh/mini/dvi/*.dvi

%files ps
%dir %{_docdir}/HOWTO/translations/zh/ps
%dir %{_docdir}/HOWTO/translations/zh/mini/ps
%{_docdir}/HOWTO/translations/zh/ps/*.ps
%{_docdir}/HOWTO/translations/zh/mini/ps/*.ps

%changelog

* Sun Mar 25 2001 Chih-Wei Huang <cwhuang@linux.org.tw>
- FHS compliancy

* Thu Dec 30 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- Use the correct locale name
- Add summary.html, assigned.html, unassigned.html

* Thu Dec 17 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>
- Change cupdated.gif into ALT="UPDATED"

* Mon Sep 7 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>
- Add list.html, change bg5sgml2latex option to --output=all (need 0.8-5)

* Mon Aug 31 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>
- Finished make-howto script.

* Sun Aug 16 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>
- First release. All formats convert from SGML sources by bg5sgmltools.

